Bug 256083 - science/py-scipy: Fix incorrect <version-spec> (Requires 3.7+)
Summary: science/py-scipy: Fix incorrect <version-spec> (Requires 3.7+)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-python (Nobody)
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2021-05-22 13:45 UTC by John W. O'Brien
Modified: 2021-07-29 05:48 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (python)
koobs: merge-quarterly?


Attachments
science/py-scipy: Require Python 3.7 or later (464 bytes, patch)
2021-05-22 13:45 UTC, John W. O'Brien
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2021-05-22 13:45:33 UTC
Created attachment 225174 [details]
science/py-scipy: Require Python 3.7 or later

scipy dropped support for 3.6 as of 1.6.0 [0]

[0] https://github.com/scipy/scipy/commit/0a4f408d9bd560f9a379d2e33b136b93f3583042
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2021-05-23 02:36:16 UTC
Comment on attachment 225174 [details]
science/py-scipy: Require Python 3.7 or later

Approved by: portmgr (blanket: bugfix)
MFH: <branch|No> (<reason>)
Comment 2 commit-hook freebsd_committer 2021-06-01 03:13:16 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7a75d1c97ab2c2b41d32490b31ffb07c55800ee7

commit 7a75d1c97ab2c2b41d32490b31ffb07c55800ee7
Author:     John W. O'Brien <john@saltant.com>
AuthorDate: 2021-06-01 03:10:28 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-06-01 03:12:07 +0000

    science/py-scipy: Fix required python version

    scipy dropped support for 3.6 as of 1.6.0:

    https://github.com/scipy/scipy/commit/0a4f408d9bd560f9a379d2e33b136b93f3583042

    PR:             256083
    MFH:            2021Q2

 science/py-scipy/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 3 commit-hook freebsd_committer 2021-06-01 03:13:17 UTC
A commit in branch 2021Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=e97e947598ce39091075e5263cfe7756c79943fc

commit e97e947598ce39091075e5263cfe7756c79943fc
Author:     John W. O'Brien <john@saltant.com>
AuthorDate: 2021-06-01 03:10:28 +0000
Commit:     Li-Wen Hsu <lwhsu@FreeBSD.org>
CommitDate: 2021-06-01 03:12:43 +0000

    science/py-scipy: Fix required python version

    scipy dropped support for 3.6 as of 1.6.0:

    https://github.com/scipy/scipy/commit/0a4f408d9bd560f9a379d2e33b136b93f3583042

    PR:             256083
    MFH:            2021Q2
    (cherry picked from commit 7a75d1c97ab2c2b41d32490b31ffb07c55800ee7)

 science/py-scipy/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)